Package org.apache.storm.trident.operation.impl

# Class TrueFilter

java.lang.Object
org.apache.storm.trident.operation.impl.TrueFilter

All Implemented Interfaces:
  `Serializable`, `EachOperation`, `Filter`, `Operation`

public class TrueFilter extends Object implements Filter

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrueFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  When running in local mode, called when the local cluster is being shut down.
  `boolean`
  `isKeep(TridentTuple tuple)`
  Determines if a tuple should be filtered out of a stream.
  `void`
  `prepare(Map<String,Object> conf, TridentOperationContext context)`
  Called when the `Operation` is first initialized.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrueFilter

    public TrueFilter()

- ## Method Details

  - ### isKeep

    public boolean isKeep(TridentTuple tuple)
    Description copied from interface: `Filter`
    Determines if a tuple should be filtered out of a stream.
    Specified by:
      `isKeep` in interface `Filter`
    Parameters:
      `tuple` - the tuple being evaluated
    Returns:
      `false` to drop the tuple, `true` to keep the tuple

  - ### prepare

    public void prepare(Map<String,Object> conf, TridentOperationContext context)
    Description copied from interface: `Operation`
    Called when the `Operation` is first initialized.
    Specified by:
      `prepare` in interface `Operation`
    Parameters:
      `conf` - the Storm configuration map
      `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
    See Also:
      - `TridentOperationContext`

  - ### cleanup

    public void cleanup()
    Description copied from interface: `Operation`
    When running in local mode, called when the local cluster is being shut down.
    Specified by:
      `cleanup` in interface `Operation`